# Uses of Class
org.eclipse.mat.report.Spec

Packages that use Spec
Package
Description
org.eclipse.mat.inspections.threads
These are queries for Threads.
org.eclipse.mat.report
Controls building of reports from XML report definitions.
org.eclipse.mat.report.internal
Internal classes for controlling building of reports from XML report definitions (not API).

## Uses of Spec in org.eclipse.mat.inspections.threads

Subclasses of Spec in org.eclipse.mat.inspections.threads
Modifier and Type
Class
Description
`static class`
`ThreadInfoQuery.Result`

## Uses of Spec in org.eclipse.mat.report

Subclasses of Spec in org.eclipse.mat.report
Modifier and Type
Class
Description
`class`
`QuerySpec`
A container for a result of a query.
`class`
`SectionSpec`
A container for multiple results.
Methods in org.eclipse.mat.report that return Spec
Modifier and Type
Method
Description
`Spec`
SpecFactory.`create(File specFile)`
`Spec`
SpecFactory.`create(String extensionIdentifier)`
`Spec`
SpecFactory.`create(SpecFactory.Report report)`
`Spec`
TestSuite.`spec()`
Methods in org.eclipse.mat.report that return types with arguments of type Spec
Modifier and Type
Method
Description
`List<Spec>`
SectionSpec.`getChildren()`
Methods in org.eclipse.mat.report with parameters of type Spec
Modifier and Type
Method
Description
`void`
SectionSpec.`add(Spec child)`
`void`
QuerySpec.`merge(Spec other)`
`void`
SectionSpec.`merge(Spec otherSpec)`
`void`
Spec.`merge(Spec other)`
Merge with another Spec.
`void`
SpecFactory.`resolve(Spec master)`
Constructors in org.eclipse.mat.report with parameters of type Spec
Modifier
Constructor
Description
``
`Builder(Spec spec)`

## Uses of Spec in org.eclipse.mat.report.internal

Methods in org.eclipse.mat.report.internal that return Spec
Modifier and Type
Method
Description
`Spec`
AbstractPart.`spec()`
Methods in org.eclipse.mat.report.internal with parameters of type Spec
Modifier and Type
Method
Description
`AbstractPart`
PartsFactory.`create(AbstractPart parent, Spec spec)`
`AbstractPart`
PartsFactory.`createClone(AbstractPart template, Spec spec)`
`AbstractPart`
PartsFactory.`createRoot(Spec spec)`
Constructors in org.eclipse.mat.report.internal with parameters of type Spec
Modifier
Constructor
Description
``
`LinkedPart(String id, AbstractPart parent, DataFile artefact, Spec spec, AbstractPart linkedTo)`